/[jscoverage]/trunk/tests/store-unwritable-json.sh
ViewVC logotype

Annotation of /trunk/tests/store-unwritable-json.sh

Parent Directory Parent Directory | Revision Log Revision Log


Revision 610 - (hide annotations)
Fri Sep 24 20:35:36 2010 UTC (8 years, 9 months ago) by siliconforks
File MIME type: application/x-sh
File size: 1877 byte(s)
Remove hard-coded port numbers.

1 siliconforks 114 #!/bin/sh
2     # store-unwritable-json.sh - test store when jscoverage.json is not writable
3 siliconforks 505 # Copyright (C) 2008, 2009, 2010 siliconforks.com
4 siliconforks 114 #
5     # This program is free software; you can redistribute it and/or modify
6     # it under the terms of the GNU General Public License as published by
7     # the Free Software Foundation; either version 2 of the License, or
8     # (at your option) any later version.
9     #
10     # This program is distributed in the hope that it will be useful,
11     # but WITHOUT ANY WARRANTY; without even the implied warranty of
12     # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
13     # GNU General Public License for more details.
14     #
15     # You should have received a copy of the GNU General Public License along
16     # with this program; if not, write to the Free Software Foundation, Inc.,
17     # 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
18    
19     set -e
20    
21 siliconforks 443 . ./common.sh
22 siliconforks 337
23 siliconforks 605 # skip on windows
24     uname=`uname`
25     case "$uname" in
26     CYGWIN* | MINGW*)
27     exit 77
28     ;;
29     esac
30    
31 siliconforks 130 shutdown() {
32 siliconforks 114 wget -q -O- --post-data= "http://127.0.0.1:${server_port}/jscoverage-shutdown" > /dev/null
33     wait $server_pid
34     }
35    
36 siliconforks 130 cleanup() {
37 siliconforks 114 shutdown
38     }
39    
40     trap 'cleanup' 0 1 2 3 15
41    
42     rm -fr DIR
43 siliconforks 610 server_port=`perl unused-port.pl`
44     $VALGRIND jscoverage-server --port=$server_port --no-highlight --document-root=recursive --report-dir=DIR > OUT 2> ERR &
45 siliconforks 114 server_pid=$!
46    
47 siliconforks 610 wait_for_server http://127.0.0.1:${server_port}/jscoverage.html
48 siliconforks 114
49     cat store.json | sed "s/@PREFIX@/\\//g" > TMP
50 siliconforks 610 wget --post-file=TMP -q -O- http://127.0.0.1:${server_port}/jscoverage-store > /dev/null
51 siliconforks 114 cat store.expected.json | sed "s/@PREFIX@/\\//g" > TMP
52 siliconforks 337 json_cmp TMP DIR/jscoverage.json
53 siliconforks 114
54     chmod -w DIR/jscoverage.json
55    
56     cat store.json | sed "s/@PREFIX@/\\//g" > TMP
57     echo 500 > EXPECTED
58 siliconforks 610 ! curl -d @TMP -f -w '%{http_code}\n' http://127.0.0.1:${server_port}/jscoverage-store 2> /dev/null > ACTUAL
59 siliconforks 114 diff EXPECTED ACTUAL

Properties

Name Value
svn:executable *

  ViewVC Help
Powered by ViewVC 1.1.24